# SculkCatalyst (Scissors-API 1.19-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.block.data.type, interface: SculkCatalyst

Package org.bukkit.block.data.type

# Interface SculkCatalyst

All Superinterfaces:
  `BlockData`, `Cloneable`

public interface SculkCatalyst extends BlockData
'bloom' indicates whether the sculk catalyst is actively spreading the sculk or not.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isBloom()`
Gets the value of the 'bloom' property.
`void`
`setBloom(boolean bloom)`
Sets the value of the 'bloom' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### isBloom

boolean isBloom()
Gets the value of the 'bloom' property.

Returns:
  the 'bloom' value

### setBloom

void setBloom(boolean bloom)
Sets the value of the 'bloom' property.

Parameters:
  `bloom` - the new 'bloom' value